Subject: Re: [PATCH RFC net-next 0/3] Restructure drivers/net/phy

From: Andrew Lunn <[email-masked]>
Date: Fri, 31 Jul 2020 03:25:10 +0200

On Tue, Jul 28, 2020 at 05:34:44PM -0700, Florian Fainelli wrote:
> 
> 
> On 7/28/2020 5:28 PM, Doug Berger wrote:
> > On 7/28/2020 9:28 AM, Ioana Ciornei wrote:
> >>> Subject: Re: [PATCH RFC net-next 0/3] Restructure drivers/net/phy
> >>>
> >>>> I think that the MAINTAINERS file should also be updated to mention
> >>>> the new path to the drivers. Just did a quick grep after 'drivers/net/phy':
> >>>> F:      drivers/net/phy/adin.c
> >>>> F:      drivers/net/phy/mdio-xgene.c
> >>>> F:      drivers/net/phy/
> >>>> F:      drivers/net/phy/marvell10g.c
> >>>> F:      drivers/net/phy/mdio-mvusb.c
> >>>> F:      drivers/net/phy/dp83640*
> >>>> F:      drivers/net/phy/phylink.c
> >>>> F:      drivers/net/phy/sfp*
> >>>> F:      drivers/net/phy/mdio-xpcs.c
> >>>
> >>> Hi Ioana
> >>>
> >>> Thanks, I will take care of that.
> >>>
> >>>> Other than that, the new 'drivers/net/phy/phy/' path is somewhat
> >>>> repetitive but unfortunately I do not have another better suggestion.
> >>>
> >>> Me neither.
> >>>
> >>> I wonder if we are looking at the wrong part of the patch.
> >>> drivers/net/X/phy/
> >>> drivers/net/X/mdio/
> >>> drivers/net/X/pcs/
> >>>
> >>> Question is, what would X be?
> >>>
> >>>    Andrew
> >>
> >> It may not be a popular suggestion but can't we take the drivers/net/phy,
> >> drivers/net/pcs and drivers/net/mdio route?
> 
> +1

O.K. Then let me see what happens to the core code. How easy it is to
split up, or if it all need to be together, probably still in phy.

      Andrew